summaryrefslogtreecommitdiffstats
path: root/examples
diff options
context:
space:
mode:
authorNicholas Marriott <nicholas.marriott@gmail.com>2007-10-25 17:44:25 +0000
committerNicholas Marriott <nicholas.marriott@gmail.com>2007-10-25 17:44:25 +0000
commit9f06104c3a56ad5ea2070317b776dfa84f213ffb (patch)
tree913bd06503c6e67613b71c8bd894e702b715268b /examples
parent4df168c9862acfb8de32cd6c57bfdf48b8c43372 (diff)
has-session command.
Diffstat (limited to 'examples')
-rw-r--r--examples/nicm-start-tmux.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/examples/nicm-start-tmux.sh b/examples/nicm-start-tmux.sh
index f4f8fb07..ebc40f94 100644
--- a/examples/nicm-start-tmux.sh
+++ b/examples/nicm-start-tmux.sh
@@ -7,7 +7,7 @@ SESSION=natasha-main
TMUX="tmux -S $SOCKET"
-if ! $TMUX -s $SESSION attach 2>/dev/null; then
+if ! $TMUX -s $SESSION has 2>/dev/null; then
$TMUX new -d -s $SESSION -nyelena 'exec ssh yelena' # 0
$TMUX set default-command "$SHELL -l"
@@ -27,6 +27,6 @@ if ! $TMUX -s $SESSION attach 2>/dev/null; then
$TMUX bind ^A send-prefix
$TMUX set bell-action none
-
- $TMUX -s $SESSION attach
fi
+
+$TMUX -s $SESSION attach